Bug 555988 - Review Request: rubygem-acts_as_tree - Tree structure plugin for ActiveRecord
Review Request: rubygem-acts_as_tree - Tree structure plugin for ActiveRecord
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 553898
Blocks: 499959
  Show dependency treegraph
 
Reported: 2010-01-16 05:09 EST by Karel Klíč
Modified: 2013-03-03 18:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 05:14:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review?


Attachments (Terms of Use)
mock build log for 0.1.1-1 (113.71 KB, text/plain)
2010-02-05 13:53 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Karel Klíč 2010-01-16 05:09:17 EST
Spec URL: http://kklic.fedorapeople.org/rubygem-acts_as_tree.spec
SRPM URL: http://kklic.fedorapeople.org/rubygem-acts_as_tree-0.1.0-1.fc12.src.rpm
Description:
Gem version of acts_as_tree plugin for ActiveRecord. Specify this 
extension if you want to model a tree structure by providing a parent 
association and a children association.

rpmlint ./rubygem-acts_as_tree-0.1.0-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint ./rubygem-acts_as_tree-0.1.0-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Mamoru TASAKA 2010-01-29 13:51:19 EST
Some notes:

* Unneeded macros
  - %ruby_sitelib macro is used nowhere.

* Requires
  - rubygem(activerecord) seems to be needed for executing
    test program and doesn't seem to be needed on runtime
    (and also see below)

* Test program
  - As this gem contains test/ directory, please add %check
    stage and execute some test program (like rake test)
    in the stage.
Comment 2 Karel Klíč 2010-02-02 09:04:10 EST
Mamoru, thanks for looking at this.

> Unneeded macros
Ok, removed.

> Requires: rubygem(activerecord) doesn't seem to be needed on runtime
The very last line of the main source file gems/acts_as_tree-0.1.0/lib/acts_as_tree.rb says:
ActiveRecord::Base.class_eval { include ActsAsTree }

So the gem won't work without ActiveRecord.

> Test program
'rake test' needs rubygem(jeweler), which is not packaged and seems to have a lot of dependencies. I'll try to package it, though.
Comment 3 Mamoru TASAKA 2010-02-02 09:22:57 EST
(In reply to comment #2)
> > Requires: rubygem(activerecord) doesn't seem to be needed on runtime
> The very last line of the main source file
> gems/acts_as_tree-0.1.0/lib/acts_as_tree.rb says:
> ActiveRecord::Base.class_eval { include ActsAsTree }
> 
> So the gem won't work without ActiveRecord.

- Ah, umm, then shouldn't this ruby script have
  require 'active_record' ; require 'active_record/base' or so?

> 
> > Test program
> 'rake test' needs rubygem(jeweler), which is not packaged and seems to have a
> lot of dependencies. I'll try to package it, though.
- rubygem-jewler review request is actually submitted by
  kanarip (bug 553898)
  

When modification is done, please upload new spec/srpm
with release number changed.
Comment 4 Karel Klíč 2010-02-02 13:18:50 EST
Spec URL: http://kklic.fedorapeople.org/rubygem-acts_as_tree.spec
SRPM URL: http://kklic.fedorapeople.org/rubygem-acts_as_tree-0.1.0-2.fc12.src.rpm

I wrote an email about the require 'active_record' to the maintainer of this gem.

* Sat Jan 30 2010 Karel Klic <kklic@redhat.com> - 0.1.0-2
- Removed unused macro %%ruby_sitelib
- Added %%check section
- Changed spelling in the description
Comment 5 Karel Klíč 2010-02-04 12:05:10 EST
Spec URL: http://kklic.fedorapeople.org/rubygem-acts_as_tree.spec
SRPM URL: http://kklic.fedorapeople.org/rubygem-acts_as_tree-0.1.1-1.fc12.src.rpm

A new version that includes the require 'active_record/base' has been released.

* Thu Feb  4 2010 Karel Klic <kklic@redhat.com> - 0.1.1-1
- New upstream version
Comment 6 Mamoru TASAKA 2010-02-05 13:53:53 EST
Created attachment 389167 [details]
mock build log for 0.1.1-1

Well, mockbuild of 0.1.1-1 fails as attached.
Note that rubygem-jeweler-1.4.0-1.fc12.src by kanarip on
bug 553898 is used.

Currently I don't know if this is due to act_as_tree side or
jeweler side or something else.
Comment 7 Karel Klíč 2010-02-15 11:01:59 EST
The failure is probably caused by the jeweler gem, see
https://bugzilla.redhat.com/show_bug.cgi?id=553898#c5
Comment 8 Mamoru TASAKA 2010-02-27 10:24:12 EST
(Just a note that I postpone review request until blocking bug 553898
 (review request for rubygem-jeweler) gets nearly complete)
Comment 9 Vít Ondruch 2011-03-10 07:33:06 EST
Hi guys,

This review is apparently blocked by unnecessary dependencies. Please execute the test suite by some alternative way, without use of rake. You can find some hints here: https://fedoraproject.org/wiki/Packaging_talk:Ruby
Comment 10 Vít Ondruch 2011-03-10 07:49:04 EST
BTW I am not sure if this version is compatible with Rails 3 which are available in F15 and above.
Comment 11 Karel Klíč 2012-07-13 05:14:02 EDT
I do not use this package any more and it would need a rework for Rails 3.

Note You need to log in before you can comment on or make changes to this bug.